unit path_map;

interface

uses constants, graphics;

type
  RPMPoint = record
    walk, build : boolean;
    dangerous : integer;
    child_type, child_id, child_enemy_id : integer;
    p : integer;
  end;

  RPathMap = record
    width, height : integer;
    map : array[1..max_path_map_width, 1..max_path_map_height] of RPMPoint;
  end;

implementation

end.
